Plone の Python スクリプトに起因するクロスサイトスクリプティングの脆弱性(Scan Tech Report) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2017.12.18(月)

Plone の Python スクリプトに起因するクロスサイトスクリプティングの脆弱性(Scan Tech Report)

脆弱性と脅威 エクスプロイト

1.概要
Plone に同梱される複数の Python スクリプトに、クロスサイトスクリプティングの脆弱性が報告されました。
リモートの第三者に利用された場合、Plone にアクセスするユーザのブラウザ上で不正なスクリプトが実行される可能性があります。
さらなる攻撃に悪用される可能性があるため、対象のユーザは可能な限り以下の対策を実施することを推奨します。


2.深刻度(CVSS)
4.3
http://nvd.nist.gov/cvss.cfm?version=2&name=CVE-2011-1948&vector=%28AV%3AN/AC%3AM/Au%3AN/C%3AN/I%3AP/A%3AN%29


3.影響を受けるソフトウェア
Plone 2.5.5 以前 ※
Plone 3.3.6 以前
Plone 4.0.6.1 以前

※Plone 2.5.x は、既にサポート終了となっています。


4.解説
Plone は、Zope 上で動作するオープンソースのコンテンツ管理システム(CMS)です。
Plone の以下パッケージに含まれる Python スクリプトには、入力値チェックに不備があるため、クロスサイトスクリプティング攻撃が可能な脆弱性が存在します。

* plone_scripts パッケージ
create_query_string.py における qs パラメータ、getPopupScript.py における input_id パラメータ、createMultiColumnList.py における input_list パラメータの入力値チェックに不備があるため、当該パラメータに入力されたスクリプトが適切にエスケープ処理されずに出力される問題

* PasswordReset パッケージ
pwreset_constructURL.py における randomstring パラメータの入力値チェックに不備があるため、当該パラメータに入力されたスクリプトが適切にエスケープ処理されずに出力される問題

* plone_deprecated パッケージ
selectedTabs.py における default_tab パラメータの入力値チェックに不備があるため、当該パラメータに入力されたスクリプトが適切にエスケープ処理されずに出力される問題

この脆弱性を利用することでリモートの攻撃者は、Plone にアクセスするユーザのブラウザ上で任意のスクリプトが実行可能となります。

5.対策
以下の Web サイトより Plone 4.0.7 以降を入手しアップデートすることで、
この脆弱性を解消することが可能です。

Plone 4.0.7:
http://plone.org/products/plone

あるいは、以下の Web サイトより、パッチ (plonehotfix20110531-2.0.zip)
を入手し適用することでも、この脆弱性を解消することが可能です。

Plone Hotfix 20110531 (Jun 01, 2011):
http://plone.org/products/plone-hotfix/releases/20110531

また、この脆弱性を解消する Plone バージョンおよびパッチでは、同様なク
ロスサイトスクリプティング攻撃が可能な脆弱性 (CVE-2011-1949)、権限昇
格が可能な脆弱性 (CVE-2011-1950) についても解消しています。詳細につき
ましては、以下、plone.org より提供されるセキュリティアドバイザリを参照
下さい。

CVE-2011-1949 - A persistent cross site scripting vulnerability:
http://plone.org/products/plone/security/advisories/CVE-2011-1949
CVE-2011-1950 - An escalation of privileges attack:
http://plone.org/products/plone/security/advisories/CVE-2011-1950


6.ソースコード
(Web非公開)

(執筆:株式会社ラック サイバー脅威分析センター

※Web非公開該当コンテンツ閲覧をご希望の方はScan Tech Reportにご登録(有料)下さい。

Scan Tech Report
http://scan.netsecurity.ne.jp/archives/51916302.html

《吉澤 亨史》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

Scan BASIC 会員限定記事

もっと見る

Scan BASIC 会員限定記事特集をもっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)

もっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)特集をもっと見る

カテゴリ別新着記事

脆弱性と脅威 カテゴリの人気記事 MONTHLY ランキング

  1. OSSのデータ収集ツール「Fluentd」に任意コマンド実行などの脆弱性(JVN)

    OSSのデータ収集ツール「Fluentd」に任意コマンド実行などの脆弱性(JVN)

  2. 送信者を偽装できる脆弱性「Mailsploit」に注意、メールソフト別対応状況一覧(JPCERT/CC)

    送信者を偽装できる脆弱性「Mailsploit」に注意、メールソフト別対応状況一覧(JPCERT/CC)

  3. 複数のTLS実装に、暗号化通信データを解読される脆弱性(JVN)

    複数のTLS実装に、暗号化通信データを解読される脆弱性(JVN)

  4. 「Microsoft Office 数式エディタ」に任意コード実行の脆弱性(JVN)

  5. Microsoft Office の数式エディタにおけるバッファオーバーフローの脆弱性(Scan Tech Report)

  6. 8以降のWindowsに、特定のメモリアドレスのコードを悪用される脆弱性(JVN)

  7. Microsoft .NET Framework における WSDL パーサでの値検証不備により遠隔から任意のコードが実行可能となる脆弱性(Scan Tech Report)

  8. AIや機械学習による自動化がさまざまなサイバー攻撃に活用、2018年予想(フォーティネット)

  9. 脆弱性体験学習ツール「AppGoat」の集合教育向け手引書と解説資料を公開(IPA)

  10. サポート終了のモバイルルータ「PWR-Q200」に脆弱性、使用中止を呼びかけ(JVN)

全カテゴリランキング

特集

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×